﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace ScheduleViewPredefinedValues
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void RadScheduleView_ShowDialog(object sender, Telerik.Windows.Controls.ShowDialogEventArgs e)
        {
            var dialog = e.DialogViewModel as AppointmentDialogViewModel;
            if (dialog != null)
            {
                dialog.AdditionalData = (this.DataContext as ViewModel).AllowedSlots;
            }
        }

        private void RadListBox_SelectionChanged(object sender, Telerik.Windows.Controls.SelectionChangedEventArgs e)
        {
            var selectedItem = e.AddedItems[0] as AllowedSlot;
            var dialogViewModel = (sender as RadListBox).DataContext as AppointmentDialogViewModel;
            dialogViewModel.ActualStart = dialogViewModel.ActualStart.Date + selectedItem.Start;
            dialogViewModel.ActualEnd = dialogViewModel.ActualEnd.Date + selectedItem.End;
        }
    }
}
